Option Strict Off
Option Explicit On
Friend Class Form1
    Inherits System.Windows.Forms.Form
    Dim WithEvents hts As HEWTARGETSERVERLib.HewServer1

    Dim HEW_status As String

    'oscilloscope dll connection declarations
    Private Declare Function ScopeCreate Lib _
     "OscDLL_VB.dll" (ByVal Prm As Integer, ByVal P_IniName As String, ByVal P_IniSuffix As String) As Integer

    Private Declare Function ScopeShow Lib _
     "OscDLL_VB.dll" (ByVal handle As Integer) As Integer

    Private Declare Function AtOpenLib Lib _
    "OscDLL_VB.dll" (ByVal Prm As Integer) As Integer

    Private Declare Function ScopeHide Lib _
    "OscDLL_VB.dll" (ByVal handle As Integer) As Integer

    Private Declare Function ScopeDestroy Lib _
     "OscDLL_VB.dll" (ByVal handle As Integer) As Integer

    Private Declare Function ScopeCleanBuffers Lib _
     "OscDLL_VB.dll" (ByVal handle As Integer) As Integer

    Private Declare Function ShowNext Lib _
     "OscDLL_VB.dll" (ByVal handle As Integer, ByRef PArrDbl As Double) As Integer

    Private Declare Function ExternalNext Lib _
     "OscDLL_VB.dll" (ByVal handle As Integer, ByRef PArrDbl As Double) As Integer



    Dim ScopeStarted As Boolean
    Dim scopehandle As Integer



    Dim ret As Long
    Dim lBegin As Long
    Dim lEnd As Long
    Dim lDisplayWidth As Long
    Dim vMemData As Object


    Dim outValue As Integer






    Private Declare Function GetTickCount Lib "kernel32.dll" () As Long






    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click


        If Button2.Text = "Run" Then
            Button2.Text = "Stop"
            Button1.Enabled = False
            Button4.Enabled = False


            Dim D1(2) As Double
            '       Dim Db As Double
            Dim i As Integer

            ScopeStarted = True

            D1(0) = 0
     
            Do


                ''''''''''''''''''''''''''''''''''''''''''''



                hts.GetMemory2(lBegin, lEnd, lDisplayWidth, vMemData)

                outValue = vMemData.GetValue(0)
      

                D1(0) = outValue * 0.01953125

                TextBox1.Text = outValue
                TextBox2.Text = D1(0)








                ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

                For i = 0 To 10000 Step 1

         

                    'Call ExternalNext(scopehandle, Db)
                    Call ShowNext(scopehandle, D1(0))

                Next i



            Loop Until (Not ScopeStarted)

        Else
            Button2.Text = "Run"
            Button1.Enabled = True
            Button4.Enabled = True
            ScopeStarted = False
        End If
    End Sub




    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click


        If Button1.Text = "Load Scope" Then

            Button1.Text = "Unload Scope"
            Button2.Enabled = True
            scopehandle = ScopeCreate(2, "Scope_Desk.ini", "")
            ScopeShow(scopehandle)

        Else

            Button1.Text = "Load Scope"
            Button2.Enabled = False
            ScopeStarted = False
            Call ScopeHide(scopehandle)
            Call ScopeDestroy(scopehandle)

        End If

    End Sub

   

   

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load



        Button2.Enabled = False

        RadioButton1.Checked = True


        lBegin = 962
        lEnd = 962
        lDisplayWidth = 1

        hts = New HEWTARGETSERVERLib.HewServer1


        AtOpenLib(1)

    End Sub



    Private Sub Button3_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click

        hts.InvokeHew()

    End Sub

  



    Private Sub RadioButton1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton1.CheckedChanged




        ' CHANGE ADCON0 @ 3D6H 982   TO READ FROM AN1   IN TARGET PROCESSOR

        lBegin = 982
        lEnd = 982
        lDisplayWidth = 1



        vMemData = New Integer() {73}       ' CHOOSE AN1


        hts = New HEWTARGETSERVERLib.HewServer1

        hts.SetMemory2(lBegin, lEnd, lDisplayWidth, vMemData)


        ' CHANGE THE READ ADDRESS TO READ FROM AN1 A/D ADDRESS ON HOST


        lBegin = 962
        lEnd = 962


    End Sub

    Private Sub RadioButton2_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton2.CheckedChanged




        ' CHANGE ADCON0 @ 3D6H 982   TO READ FROM AN4   IN TARGET PROCESSOR

        lBegin = 982
        lEnd = 982


        vMemData = New Integer() {76}      ' CHOOSE AN4

        hts.SetMemory2(lBegin, lEnd, lDisplayWidth, vMemData)



        ' CHANGE THE READ ADDRESS TO READ FROM AN4 A/D ADDRESS ON HOST


        lBegin = 968
        lEnd = 968



    End Sub

    Private Sub RadioButton3_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton3.CheckedChanged





        ' CHANGE ADCON0 @ 3D6H 982   TO READ FROM AN5   IN TARGET PROCESSOR


        lBegin = 982
        lEnd = 982


        vMemData = New Integer() {77}    ' CHOOSE AN5

        hts.SetMemory2(lBegin, lEnd, lDisplayWidth, vMemData)




        ' CHANGE THE READ ADDRESS TO READ FROM AN5 A/D ADDRESS ON HOST


        lBegin = 970
        lEnd = 970



    End Sub

   
    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        End
    End Sub
End Class
